Subject: a few questions, please reply to xiaofei

From: Stephen G Simpson <[email-masked]>
Date: Mon, 13 May 91 13:28:23 -0400

> From: [email-masked]
 >
 >  I am not familiar with Chinese Computing, the questions I am asking
 >  here may be very simple.
 >
 >  The procedures of English TeX are as follows,
 >
 >  1. use vi [emacs won't do] to produce a .tex file according to the
 >     grammar decribed in TeX Book of Knuth.
 >

This is not correct.  Any ASCII text editor is adequate to produce
.tex files.  Emacs is widely used for this purpose.

 >     How would ChTeX do it? The English TeX .tex file is ascii, will ChTeX
 >     .tex file is ascii? How to type in Chinese ?

Chtex uses .tex files with Chinese characters in GB format.  You can
enter Chinese characters in GB format using a Chinese editor.  Many
Chinese editors are available: Byx (for MSDOS), or celvis or cemacs
(under cxterm in X Windows).

 >     Can one use everything in Knuth's book ?

Theoretically yes, but I found that Chtex does not interact well with
some of the mathematical formatting commands that are part of TeX.

 >     The questions are, if the dvi file produced by ChTeX work
 >     properly with these standard utilities including \special?

DVI files produced by Chtex definitely DO NOT WORK with standard
dvi-to-??? drivers such as xdvi, dvips-5.4, etc.  So far as I know,
DVI files produced by Chtex can only be processed by a specially
hacked version of dvi2ps, created specifically for this purpose.  I am
not sure whether that special version of dvi2ps is available for
MSDOS.

The problem with Chtex is that does not really conform very well to
the standards set by TeX.  Knuth has given us various methods for
extending TeX to accommodate various situations (fonts, macros,
virtual fonts, etc.) but Chtex does not use these methods, instead it
goes its own way.  Therefore, most existing dvi drivers do not work
with Chtex.  Special drivers are required.  The practical effect of
this is that you cannot preview Chtex files, you cannot print them on
printers other than Postscript, etc.

Perhaps you should look into Poor Man's Chinese TeX.  This is another
Chinese TeX system that, like Chtex, is freely available.  The
advantage of the Poor Man system is that it is well integrated with
TeX.  It consists of standard TeX fonts and macros, so it will work
perfectly with your existing TeX system including all drivers such as
xdvi, dvips, etc., so long as they are 8-bit clean, i.e. conform to
the TeX 3.0 standard.

 >  2b) I use YAN YongXin's BYX1.1. I don't know how to convert BYX format
 >     to postscript. I wonder if I can convert BYX to HKU format?

To convert Byx files (i.e. GB) to Postscript, you can use Chtex, or
Poor Man's Chinese TeX, or the HZ utilities.  The HZ utilities are
available for anonymous ftp on june.cs.washington.edu.

I think that HKU format is just BIG-5.  You can convert from GB to
BIG-5 using the HC utilities, available for anonymous ftp on
june.cs.washington.edu.